OFICINA DE QR CODE ESTÁTICO
Sobre o QR Meadow
O QR Meadow é um gerador de QR Code grátis que roda inteiramente no seu navegador. Ele cria códigos estáticos que continuam funcionando enquanto forem legíveis, e verifica cada design antes de você baixar.
O que o QR Meadow faz
O QR Meadow transforma doze tipos de conteúdo em QR Codes: endereços web, dados de rede Wi-Fi, cartões de contato (vCard), e-mails pré-preenchidos, texto simples, números de telefone, mensagens SMS, conversas no WhatsApp, localizações no mapa, eventos de agenda, pagamentos Pix e transferências SEPA (EPC / GiroCode). Cada tipo tem seu próprio formulário, com verificações para erros comuns, como uma senha de Wi-Fi curta demais ou um endereço de e-mail com erro de digitação. Você pode começar por um estilo pronto ou mudar cores, degradês, formatos de módulo e estilos de canto, adicionar um logo, uma moldura e uma legenda curta, e baixar o resultado como imagem PNG, SVG vetorial ou PDF vetorial. O gerador em massa cria até 500 códigos a partir de uma lista ou CSV, num ZIP ou em folhas de etiquetas para impressão, e o leitor lê um código a partir de uma imagem.
Como funciona
Quando você abre o gerador, seu navegador baixa a página e alguns pequenos arquivos de script deste site. A partir daí, tudo acontece no seu dispositivo. O conteúdo que você digita é transformado em QR Code por um codificador JavaScript, desenhado como formas vetoriais e mostrado na prévia. Cada alteração dispara uma verificação de leitura: o design final é decodificado de novo com o leitor de código aberto jsQR em três tamanhos diferentes, e você só vê um ✓ verde se o resultado corresponder exatamente ao que você digitou. Os downloads são gerados da mesma forma, sem ida e volta a um servidor.
Esse modelo também é o que permite que o site seja privado. Não há contas nem scripts de publicidade. A Cloudflare adiciona análise de desempenho das páginas no domínio hospedado; o app não envia o conteúdo dos seus QR Codes para esse beacon. Sua senha de Wi-Fi, seus dados de contato e seu logo nunca saem da aba do navegador. Veja a página de privacidade para os detalhes.
Só códigos estáticos
Todo código que o QR Meadow cria é estático: o conteúdo fica gravado no próprio código. Um código estático não pode ser editado depois de impresso e não conta leituras, mas também não pode ser desligado. Ele não depende de este site continuar no ar, de uma assinatura nem do servidor de redirecionamento de ninguém.
Os códigos dinâmicos funcionam de outro jeito. Eles contêm um link curto para o servidor do provedor, que redireciona o visitante para o destino real. Isso torna possíveis a edição e as estatísticas de leitura, e em algumas campanhas essa é a escolha certa. A contrapartida é que o código depende do provedor. A central de ajuda de um grande provedor, por exemplo, informa que códigos dinâmicos criados no período de teste grátis são desativados quando o teste termina, enquanto os códigos estáticos continuam funcionando. O QR Meadow deixa essa contrapartida totalmente de fora.
O que o QR Meadow não faz
- Não faz códigos dinâmicos ou editáveis, nem estatísticas de leitura.
- Não hospeda arquivos, imagens, vídeos ou formulários — isso exige um servidor para guardar o seu conteúdo.
- Não escaneia pela câmera: o leitor lê as imagens que você adiciona, e o site não pede acesso à câmera.
Padrões e componentes de código aberto
- A codificação QR usa a biblioteca QR Code generator de Kazuhiko Arase (licença MIT).
- A verificação de leitura usa o jsQR (Apache License 2.0).
- Os códigos de Wi-Fi seguem o formato
WIFI:, amplamente suportado e documentado pelo projeto ZXing, incluindo as regras de escape. - Os cartões de contato seguem o vCard 3.0 (RFC 2426), e os códigos de e-mail usam links
mailto:como definido na RFC 6068. - Os códigos de telefone, SMS,
geo:e agenda usam as formastel:,SMSTO:,geo:eVEVENTlistadas pelo ZXing; o texto dos eventos é escapado como no iCalendar (RFC 5545). - Os códigos de WhatsApp usam os links de conversa direta
wa.medocumentados pelo WhatsApp, e os links de mapa seguem os formatos documentados pelo Google Maps e pelo Apple Maps.
As licenças das duas bibliotecas acompanham os arquivos do site. Os testes cobrem todos os tipos de conteúdo em todos os níveis de correção de erros e formatos de módulo, decodificando cada código gerado de volta ao conteúdo original.
Feedback
O QR Meadow é um pequeno projeto independente e ainda está sendo aprimorado. Se um código feito aqui não for lido no seu celular, os detalhes mais úteis são o tipo de conteúdo, as configurações de estilo que você escolheu e o celular e o app com que você escaneou.
Perguntas frequentes
O QR Meadow é grátis?
Sim. Não há cadastro, nem plano pago, nem limite para o número de códigos que você cria ou para quantas vezes eles são escaneados.
Preciso de uma conta?
Não. Não existem contas. Nada do que você cria é guardado num servidor, então não há onde fazer login.
Meus códigos param de funcionar se este site sair do ar?
Não. O conteúdo está dentro do próprio código. Um código que você baixou continua funcionando sem este site.
Posso usar os códigos comercialmente?
Sim. Os códigos que você cria são seus para usar em produtos, embalagens, placas e materiais de marketing.
Por que não há rastreamento de leituras?
Contar leituras exige um redirecionamento por um servidor, o que faria seus códigos dependerem desse servidor. O QR Meadow só cria códigos estáticos.